app.factory('fornecedorFactory', function ($http) {
    var url = '../api/fornecedor/';
    return {
        getFornecedores: function () {
            return $http.get(url);
        },
        addFornecedor: function (fornecedor) {

            
            return $http.post(url, fornecedor);
          
        },
        addFornecedor: function (fornecedor) {

            
            return $http({
                cache: false,
                url: url,
                method: "POST",
                data: fornecedor
                
            })
        },
        deleteFornecedor: function (fornecedor) {
            
            return $http.delete(url + fornecedor.Pk_Fornecedor);
        },
        updateFornecedor: function (fornecedor) {
            
            return $http.put(url + fornecedor.Pk_Fornecedor,fornecedor);
        }
    };
});